<?php

namespace FiloBlu\Kpi\Cron;

use FiloBlu\Kpi\Model\AddkpidataFactory;
use Psr\Log\LoggerInterface;

/**
 * Class Addkpidata
 * @package FiloBlu\Kpi\Cron
 */
class Addkpidata
{
    /**
     * @var LoggerInterface
     */
    protected $logger;

    /**
     * @var AddkpidataFactory
     */
    protected $addKpiDataFactory;

    /**
     * Addkpidata constructor.
     * @param LoggerInterface $logger
     * @param AddkpidataFactory $kpiAddKpiDataFactory
     */
    public function __construct(
        LoggerInterface $logger,
        AddkpidataFactory $kpiAddKpiDataFactory
    )
    {
        $this->logger = $logger;
        $this->addKpiDataFactory = $kpiAddKpiDataFactory;
    }

    /**
     *
     */
    public function execute()
    {
        $this->addKpiDataFactory->create()->addData();
    }
}